darkradiant (3.8.0-2build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:10:35 +0100

darkradiant (3.8.0-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:17:37 +0000

darkradiant (3.8.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:14:01 +0000

darkradiant (3.8.0-2) unstable; urgency=medium

  * Adding B-D on libglib2.0-dev and libsigc++-2.0-dev to allow libgtkmm-2.4-dev
    to be dropped. Thanks to Simon McVittie for the patch! (Closes: #1041791)

 -- Tobias Frost <tobi@debian.org>  Mon, 24 Jul 2023 06:11:15 +0200

darkradiant (3.8.0-1) unstable; urgency=medium

  * New upstream release 3.8.0

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2023 18:42:39 +0200

darkradiant (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Drop 10-fix-ftbfs-missing-icon.patch -- applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Nov 2022 16:22:11 +0100

darkradiant (3.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove 03-hurd.patch, applied upstream.
  * Update watch file to use github API. Thanks to Volan for their hint on
    debian-devel.
  * New patch to avoid FTBFS with 3.4.0.
  * Update d/darkradiant.install to install new files.

 -- Tobias Frost <tobi@debian.org>  Mon, 10 Oct 2022 18:06:09 +0200

darkradiant (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to wxwidgets3.2 (Closes: #1019800)

 -- Tobias Frost <tobi@debian.org>  Thu, 15 Sep 2022 16:24:27 +0200

darkradiant (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Aug 2022 09:56:40 +0200

darkradiant (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch 02-ftbfs-fix-32bitarchs.patch, applied upstream.
  * Remove patch 04-gcc12-fix.patch, no longer needed.
  * Bump S-V to 4.6.1 -- no changes required.
  * Fix lintian override.

 -- Tobias Frost <tobi@debian.org>  Wed, 17 Aug 2022 18:54:54 +0200

darkradiant (2.14.0-5) unstable; urgency=medium

  * Fix "ftbfs with GCC-12", see similar named patch for details<explain what
    (Closes: #1012909)

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Aug 2022 23:35:13 +0200

darkradiant (2.14.0-4) unstable; urgency=medium

  * Trying to unbreak hurd (new patch to avoid PATH_MAX).
  * Update copyright years for debian/*.
  * Check if we can enable mipsel and sh4 by skipping dh_dwz.

 -- Tobias Frost <tobi@debian.org>  Mon, 18 Apr 2022 18:19:50 +0200

darkradiant (2.14.0-3) unstable; urgency=medium

  * Make build reproducible: BuildId differences triggered by RPATH
    Thanks to Vagrant for the patch! (Closes: #1004004)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Jan 2022 10:12:38 +0100

darkradiant (2.14.0-2) unstable; urgency=medium

  * New patch to fix FTBFS on 32 bit archs. (Closes: #1001110)

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 15:31:33 +0100

darkradiant (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    * Update d/copyright to reflect adding of OpenFBX.
      (vendored library, as intented by library upstream)
  * Update S-V to 4.6.0 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 10:17:14 +0100

darkradiant (2.13.0-1) unstable; urgency=medium

  * New upstream release.
    - New version requires B-D on libeigen3-dev.
    - Update d/copyright to reflect copyright on new files.
  * Remove windows binary in d/clean and add lintian override for this.
  * Don't install the .gitignore file in the repository.
  * Salsa-CI: Disable crossbuild_arm64

 -- Tobias Frost <tobi@debian.org>  Wed, 25 Aug 2021 20:08:39 +0200

darkradiant (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch 02-fix-pybind11-crash.patch (was cherry picked from upstream)
  * docs are now installed using the buildsystem, therefore adapting
    darkradiant.install to pick up those files.

 -- Tobias Frost <tobi@debian.org>  Fri, 29 Jan 2021 15:33:00 +0100

darkradiant (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Targeting experimental for debugging purposes.
  * Upstream switched to cmake:
    - add B-D on cmake.
    - adapt d/rules to use cmake.
    - update darkradiant.install, as scripts are now installed in
      usr/share/darkradiant.
    - rebuild manual and install it manually. New patch to avoid privacy
      violation by avoiding pulling in fonts from the Internet in said manual.
    - removing removed m4 files from d/copyright.
  * Use packaged pybind11, instead of vendored one.
  * Update d/copyright year and add missing pybind11 section.
  * New patch 02-fix-pybind11-crash.patch cherry-picked from upstream to avoid
    crash on startup.
  * Add d/source/metadata.
  * salsa-ci: disable reproducible builds -- new upstream version ceased to be
    reproducible and I coudn't figure out why.

 -- Tobias Frost <tobi@debian.org>  Sun, 17 Jan 2021 13:19:45 +0100

darkradiant (2.9.1-1) unstable; urgency=medium

  * New upstream release.
    - drop 10-python3-config.patch as upstream is now using python3-config
      making this patch obsolete.
    - adding a few more .la and .a files to d/not-installed
  * Fix some lintian problems.
  * Enable gitlab-ci.
  * Update S-V to 4.5.1 -- no changes.

 -- Tobias Frost <tobi@debian.org>  Thu, 19 Nov 2020 20:30:01 +0100

darkradiant (2.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove cherry-picked upstream patch 10-python3.patch
  * New patch to use correct python(3)-config.
  * Drop as-needed linker flag from d/rules, no longer needed with
    recent Debian toolchain.
  * Bump compat level to 13.

 -- Tobias Frost <tobi@debian.org>  Wed, 20 May 2020 15:35:52 +0200

darkradiant (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * remove patches, all patches applied upstream:
    - 02_spelling_errors.patch
    - 03_c++17_filesystem.patch
  * Cherry-Pick python3 patch from upstream and B-D on python3-dev. Thanks to
    greebo for the hint! (Closes: #936366)
  * Install generated documents and register with doc-base.
  * Update d/copyright.
  * Bump S-V to 4.5.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Mon, 30 Mar 2020 18:47:45 +0200

darkradiant (2.6.0-4) unstable; urgency=medium

  * d/control:
    - Build against libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev
      (Closes: #933419). See #900678 for details why it needs at least
      the specified version.
    - Drop d/compat and replace it by depending on debhelper-compat. Go to
      level 12.
    - Drop all versions from B-Ds that are already fulfilled in oldstable.
    - Bump S-V to 4.4.1 -- no changes required.
  * d/rules:
    - Drop gcc warning on date/time usage, no longer needed.
    - Drop unused include for pkg-info.mk.

 -- Tobias Frost <tobi@debian.org>  Sat, 05 Oct 2019 11:41:11 +0200

darkradiant (2.6.0-3) unstable; urgency=medium

  * New patch to fix FTBFS with GCC-8. thanks to Juhani Numminen for the
    patch. (Closes: #897734)
  * Bump S-V to 4.1.5
    - Set Rules-Requires-Root to "no".
    - no other changes required.

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Jul 2018 01:45:17 +0800

darkradiant (2.6.0-2) unstable; urgency=medium

  * Remove arch-dependent path from d/not-installed.

 -- Tobias Frost <tobi@debian.org>  Mon, 28 May 2018 22:11:45 +0200

darkradiant (2.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Do no longer install plugin eclasstree, no longer shipped by upstream.
  * Drop 01_autoconf_boost_test_framework.patch, seems no longer be
    needed.
  * Enforce that we do not miss installing files by using dh_installfiles
    --fail-missing and list not installed files in d/not-installed.
  * Bump S-V to 4.1.4 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Mon, 28 May 2018 20:24:27 +0200

darkradiant (2.5.0-2) unstable; urgency=medium

  * Fix VCS-*. Copy+Paste error.

 -- Tobias Frost <tobi@debian.org>  Tue, 23 Jan 2018 08:00:12 +0100

darkradiant (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump d/compat to level 11.
  * Bump S-B to 4.1.3 -- no changes required.
  * Add patch to look for boost-unittest-framework in configure.ac
  * B-D on libboost-dev for headers required for the unittest to compile.
  * Move packaging repositories from alioth to salsa.debian.org.
  * Update d/copyright:
    - change format spec to a https type URL and
    - update copyright year for packaging.
  * New patch for some spelling errors.

 -- Tobias Frost <tobi@debian.org>  Mon, 22 Jan 2018 20:12:55 +0100

darkradiant (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Change package priority to optional, as extra is gone.
  * Mark package darkradiant as Multi-Arch: foreign
  * Bump S-V to 4.1.1 -- no changes required.
  * d/rules: Use /usr/share/dpkg/pkg-info.mk instead of dpkg-
    parsechangelog
  * Change B-D on ftgl-dev to libftgl-dev. Thanks Manuel Montecelo for the
    report. (Closes: #881434)
  * Sync long description of both packages.

 -- Tobias Frost <tobi@debian.org>  Tue, 28 Nov 2017 07:35:14 +0100

darkradiant (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop B-D on dh-autoreconf
  * Mark darkradiant-plugins-darkmod MultiArch:same

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2017 18:24:51 +0200

darkradiant (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Removing 01-reproducible-build.patch -- no longer needed.
  * Removing 02-ftbfs-missing-include.patch -- applied upstream.
  * Bump S-V to 4.0.0 -- no changes required
  * Update copyright years in d/control.

 -- Tobias Frost <tobi@debian.org>  Tue, 04 Jul 2017 08:17:49 +0200

darkradiant (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Bump d/compat to 10
  * Update d/clean to clean extra files
  * New patch 02-ftbfs-missing-include.patch
  * Reenable pyhton interface.

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Dec 2016 13:19:43 +0100

darkradiant (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add VCS-Git and VCS-Browser, using https variants.
  * Fix d/watch to sort pre-releases earlier.
  * All patches removed, applied upstream:
    - 01-autotext.patch
    - 02-new-boost-m4.patch
    - 03-spelling-error.patch
    - 04-desktop-keywords.patch
  * Add a few files to d/clean
  * Run autgen.sh instead of stock dh_autoreconf
  * Add patch to enable reproducible builds.
  * Bump S-V to 3.9.8, no changes required.
  * Disable python scripting support to avoid crash. (Closes: #833121)
  * Fix typos in d/copyright so that they point to the right file.

 -- Tobias Frost <tobi@debian.org>  Wed, 24 Aug 2016 07:54:49 +0200

darkradiant (2.0.2-2) unstable; urgency=medium

  * Upload to unstable
  * Fix syntax error in d/copyright

 -- Tobias Frost <tobi@debian.org>  Wed, 12 Aug 2015 15:46:34 +0200

darkradiant (2.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #793979)
  * Upload to experimental during the big gcc-5 transition, otherwise it will
    FTBFS

 -- Tobias Frost <tobi@debian.org>  Sun, 02 Aug 2015 14:15:33 +0200
